断舍离,永远去做你余生最重要的那件事

首页前端开发正文

怎样让低版本的IE浏览器支持HTML5新元素?

朱绪2017-06-271600HTML

对于低版本的IE(比如IE6、IE7、IE8),我们可以使用document.createElement()方法来创造标签,如此一来就能使得它支持HTML5新元素了。

IE6

还有一种应对方法是使用成熟的框架,比如html5shim,实现的代码如下:

<!--[if lt IE 9]>
    <script src="http://html5shim.googlecode.com/svn/trunk/html5.js"> </script>
<![endif]-->

最后,我还是要多说一句话,兼容IE6真的是前端开发者的噩梦。。。